import typer

from rich.console import Console
from rich.markdown import Markdown
from rich.panel import Panel


__doc__ = """
                                              ,▄████▓▄
                                            ╓█████╬████
                                           ▓███╬╬╬╬╬▓██▄
                                ▄▓██▄,    ███▓╬╬╬╬╬▒╫██▌
                ,▄▄▄▄▄╓        ████████  ███╬╬╬╬╬╬╬▒╫██▌
              ▄███████████▄╓  ╟██▓╬▒╠██████╬╬╬╬╬╬╬╬╬███
             ╟███╠╬╬╬╬╬╬█████▓▓██▓╬╬╬╬████▓╬╬╬╬╬╬╬╬╣███
             ║███▐╬╬╬╬╬╬╬╬╬╬██████╬▓████████▓╬╬▓███████▓▄,
              ▀███╬╬╬╬╬╬╬╬╬╬╬╬╬██████╩╩╩╬╬███████╬╬╬╬╬▀████▌,▄████▄,
               ╙███▓╬▓████████████▒╬╠╬╠▒╓ ╙╬╢███╬╠╠╠╠╠▒╓`╢█████╬╬████, ,▄▄▄,
            ╓▄▓▓▓██████╬╬╩╩╬╬████╬╠╠╠╠╠╠╠╠▒╠╠╬██╬╠╠╬╠╠╠╠▒╦╠╬██▌╠╠▒╬██████████▄
          ▄███▓█████╬╠╬╠╠▒#, ╠╬█▒╠╠╠╬╬╠╠╠╠╠╠╠╠╬▌╠╠╠╠╠╠╠╠╠╠╠╠╬█▌╠╠╠▒╠█▒╬██╠╬▀███▄
        ╓███╬╠ ╙╢█╬╠╠╠╠╠╠╠╠╠▒╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╬╠╠╠╠╠╠╠╠╠╠╠╠╠╠╬╠╠╠╠╠╠╬╠▒╢▒╠╠╚███▌
       ▓██╬╠╠╠╠,╬▒╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╬╠╠╬╠███▌
      ███▒╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╬╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╬╬╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╬███µ
     ███╠╠╠╠╠╠╠╠╬╠╠╠╠╠╠╠╠╠╠╠╬▒▓█╬╠╠╠╠╠╠╠╠╬▄╠╠╠╠╣▌╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╢███
    ╫██╠╠╠╠╠╠╠╠▓█▒╠╠╠▒╠╠╠╠╠╠╬███▒╠╠╠╠╠╠╠╙╫██╠╠╠██╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╬███µ
    ███╠╠╠╠╠╠╬███████▒╠╠╠╠╠╠╠╬██▌╠╠╠╠╠╠╠▒╠╬╬╠╢███▒╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠▓██▌
    ███╠╠╠╠╠╠╠╠╬╚████╬╠╠╠╠╠╠╠╠╠██╬╠╠╠╠╠╠╠╠╠╠╠╠╦╚█▌╠╠╠╠░╫█▌╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╢███
    ╙██▓╠╠╠╠╠╠╠╠▒└╬██╠╠╠╠╠╠╠╠╠╠╬█▌╠╠╠╠╠╠╠╠╠╠╠╠╠▒╠╬╠╠╠╠▒╠█▓╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╣███
     ╙███▓▒╠╠╠╠╠╠╬╠╬█╬╠╠╠╠╠╠╠╠╠╠╣█▒╠╠╠╠╠╠╠╫╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠▒╠╠╠╠╠╠╠╠╠╠╠╠╠╣███
      ▓██▓╬╬╠╠╠╠╠╠╠╠╢▒╠╠╠╠╠╠╠╠╠╠╠█▓╠╠╠╠╠╠╠╬▌╠╠╠╠╠╠╠╠╠╠╠╠╠╬╠╠╠╠╠╠╠╠█▒╠╠╠╠╠╠▓▒╠╠╠╠╢███
     ╫██▒╠╠╠╠╠╠╠╠╠╠╠╠▓╠╠╠╠╠╠╠╠╠╠╠╬█▒╠╠╠╠╠╠╠█▒╠╠╠╠╠╠╠╠╠╠╠╠╣▒╠╠╠╠╠╠╣██╬╠╠╠╠╠██╠╠╠╠███▌
     ███╠╠╠╠╠╠╠╠╠╠╠╠╠╫▌╠╠╠╠╠╠╠╠╠╠╠██▒╠╠╠╠╠╠╫█╠╠╠╠╠╠╫▒╠╠╠╠╣█╠╠╠╠╠╠████▒╠╠╠╢╬╠╠╠╬▓███
     ╟██▒╠╠╠╠╠╠╠╠╠╠╠╠╬█▒╠╠╠╠╠╠╠╠╠╠███▒╠╠╠╠╠╫█▓╠╠╠╠╠╫█▒╠╠╠╣█▒╠╠╠╠╫█╬╬╬╩╫▄▓╬╠╠▒╠████
      ▓██▌╠╠╠╠╠╠╠╠╠╠╠╬██▌╠╠╠╠╠╠╠╠╠████▒╠╠╠╠╫███▒╠╠╣██▓╠╠╠╠╙╚╠╠╠▓█╠╠╠╠▒µ╬█╠╠╠╠╣███
       ▀███╠╠╠╠╠╠╠╠╠╠╢██╬▒╠╨╚╝╠╠╠▓█████╠╠╠╠╚╝╠╬▓████▌╠╠╠╠╠╠▒╓ ╠╬╬╠╠╠╠╠╠╠╬╠╠╠╠╫███
        ╟██▒╠╠╠╠╠╠╠╠╬█▒╠╠╠╠╠╠▒╗╥╠████▌╠╠╠╠╠▒╦  ╠╬███╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠███▌
         ███╠╠╠╠╠╠╠╠▓█▒╠╠╠╠╠╠╠╠╠╠╠███╬╠╠╠╠╠╠╠╠▒╬╠╠▓█╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╫███
         ╙██▌╠╠╠╠╠╠╠╠▓█╠╠╠╠╠╠╠╠╠╠╠╫██╬╠╠╠╠╠╠╠╠╠╠╠╠╠▌╠╠╠╠╠╠╠╠╠╠╠╠╠╫╠╠╠╠╠╠╠╠╠╠███▌
          ╙██▓╠╠╠█▓╠╠╠█▒╠╠╠╠╠╠╠╠╫▓███▒╠╠╠╠╠╠╠╠╠╠╠╠╠╬╠╠╠╠╠╠╠╠╠╠╠╠╠██▓▒▒╠╠╠╠╠▓███
           ╙██▓╠╠╠╬╬╠▓██▒╠╠╠╠╠╠╠╠▒╚╬▓▓╠╠╠╠╠╠╠╠╠╠╠╠╠╠╬╠╠╠╠╠╠╫▓╠╠╠▓████╠╠╠╠╠╫███
            ╙███▒╠╠╠▓▒╩╬▓▒╠╠╠╠╠╠╠╠╬µ└╠╠╠╠╠╠╠╠╠╠╠╠╠╠╬▒╠╠╠╠╠Γ╫█▒╠▓████╠╠╠╠╠╣███▀
              ███▌╠╠╬█▒▒╙╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠▓█▒╠╠╫█╠╠╠╠╠╠╬╠╠╠╬▓██▒╠╠╠╠╬███▌
               ▀███▒╠╠╠╠╠ε╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╦╚█▌╠╬██╬╠╠╠╠╠╠╠╠╠▒╠╫▓╠╠╠╠╬███▌
                └███▌╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╬▓█▒╠╠╠╠╠╠╠╠╠╠╠╣▒╠╠╠╣███▌
                  ▀███▒╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠▌╠╠╠╠╠╠╠╠╠╠╙╠▓╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠▓███▀
                    ▀███▒╠╠╠╠╠╠╠╠╠╠╠╠╠╢██▒╠╠╠╠╠╠╠╠╠▒╠╠╠╠╠╠╠╬╬╠╠╠╠╠╠╠▓███╙
                     └▀███▒╠╠╠╠▓▒╠╠╠╠╠╠╠╩╬╬╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╠╣▒╠╠╠╢╠╢████
                       └▀███▓▒╠╣█▒╠╠╠╠╠╠╠╦╙╠╠╠╠╠╬▒╠╠╠╠╣▒╠╠╠╢▌╠╠╠█████▀
                          ▀███████▓▒╠╠╠╠╠╠╬╠╠╠╠╠╠█▒╠╠╠╠█╠╠╠██▌▄████▀
                            ╙▀██████▓▒╠╠╠╠╠╢█▒╠╠╠██▒╠╠▓██████████▀
                                  ╙████████████▓███████████▀╙'└─
                                     ╙▀▀██▀▀╙▀████▀╙▀▀╙`
"""


def main():
    console = Console()
    # md = Markdown(__doc__.strip())
    console.print(__doc__)


def app():
    typer.run(main)


if __name__ == "__main__":
    app()
